<?php

function solopine_register_theme_customizer( $wp_customize ) {

class Square_Customize_Heading2 extends WP_Customize_Control {

public function render_content() {
?>

<?php if ( !empty( $this->label ) ) : ?>
<h3 style="background: #BABABA !important; color:#000000 !important; padding:15px; margin: 0 -12px;"><?php echo esc_html( $this->label ); ?></h3>
<?php endif; ?>
<?php }
}

$wp_customize->add_section( 'home' , array(
'title'      => 'Różne teksty',
'description'=> '',
'priority'   => 1,
) );

$wp_customize->add_setting(
'opis1', array());

$wp_customize->add_control(
new Square_Customize_Heading2(
$wp_customize,
'opis1',
array(
'settings'   => 'opis1',
'section'		=> 'home',
'label'      => 'Kompetencje osobiste',
'priority'	 => 1
)));

$wp_customize->add_setting(
'opis2',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis2',
array(
'label'          => 'Opis podstawowy',
'section'    => 'home',
'settings'   => 'opis2',
'type'		 => 'textarea',
'priority'	 => 2
)
)
);

$wp_customize->add_setting(
'opis3',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis3',
array(
'label'          => 'Poziom niski',
'section'    => 'home',
'settings'   => 'opis3',
'type'		 => 'textarea',
'priority'	 => 3
)
)
);

$wp_customize->add_setting(
'opis4',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis4',
array(
'label'          => 'Poziom średni',
'section'    => 'home',
'settings'   => 'opis4',
'type'		 => 'textarea',
'priority'	 => 4
)
)
);

$wp_customize->add_setting(
'opis5',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis5',
array(
'label'          => 'Poziom wysoki',
'section'    => 'home',
'settings'   => 'opis5',
'type'		 => 'textarea',
'priority'	 => 5
)
)
);

$wp_customize->add_setting(
'opis6', array());

$wp_customize->add_control(
new Square_Customize_Heading2(
$wp_customize,
'opis6',
array(
'settings'   => 'opis6',
'section'		=> 'home',
'label'      => 'Kompetencje społeczne',
'priority'	 => 6
)));

$wp_customize->add_setting(
'opis7',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis7',
array(
'label'          => 'Opis podstawowy',
'section'    => 'home',
'settings'   => 'opis7',
'type'		 => 'textarea',
'priority'	 => 7
)
)
);

$wp_customize->add_setting(
'opis8',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis8',
array(
'label'          => 'Poziom niski',
'section'    => 'home',
'settings'   => 'opis8',
'type'		 => 'textarea',
'priority'	 => 8
)
)
);

$wp_customize->add_setting(
'opis9',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis9',
array(
'label'          => 'Poziom średni',
'section'    => 'home',
'settings'   => 'opis9',
'type'		 => 'textarea',
'priority'	 => 9
)
)
);

$wp_customize->add_setting(
'opis10',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis10',
array(
'label'          => 'Poziom wysoki',
'section'    => 'home',
'settings'   => 'opis10',
'type'		 => 'textarea',
'priority'	 => 10
)
)
);

$wp_customize->add_setting(
'opis11', array());

$wp_customize->add_control(
new Square_Customize_Heading2(
$wp_customize,
'opis11',
array(
'settings'   => 'opis11',
'section'		=> 'home',
'label'      => 'Kompetencje menedżerskie',
'priority'	 => 11
)));

$wp_customize->add_setting(
'opis12',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis12',
array(
'label'          => 'Opis podstawowy',
'section'    => 'home',
'settings'   => 'opis12',
'type'		 => 'textarea',
'priority'	 => 12
)
)
);

$wp_customize->add_setting(
'opis13',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis13',
array(
'label'          => 'Poziom niski',
'section'    => 'home',
'settings'   => 'opis13',
'type'		 => 'textarea',
'priority'	 => 13
)
)
);

$wp_customize->add_setting(
'opis14',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis14',
array(
'label'          => 'Poziom średni',
'section'    => 'home',
'settings'   => 'opis14',
'type'		 => 'textarea',
'priority'	 => 14
)
)
);

$wp_customize->add_setting(
'opis15',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis15',
array(
'label'          => 'Poziom wysoki',
'section'    => 'home',
'settings'   => 'opis15',
'type'		 => 'textarea',
'priority'	 => 15
)
)
);

$wp_customize->add_setting(
'opis16', array());

$wp_customize->add_control(
new Square_Customize_Heading2(
$wp_customize,
'opis16',
array(
'settings'   => 'opis16',
'section'		=> 'home',
'label'      => 'Kompetencje specjalistyczno-techniczne',
'priority'	 => 16
)));

$wp_customize->add_setting(
'opis17',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis17',
array(
'label'          => 'Opis podstawowy',
'section'    => 'home',
'settings'   => 'opis17',
'type'		 => 'textarea',
'priority'	 => 17
)
)
);

$wp_customize->add_setting(
'opis18',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis18',
array(
'label'          => 'Poziom niski',
'section'    => 'home',
'settings'   => 'opis18',
'type'		 => 'textarea',
'priority'	 => 18
)
)
);

$wp_customize->add_setting(
'opis19',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis19',
array(
'label'          => 'Poziom średni',
'section'    => 'home',
'settings'   => 'opis19',
'type'		 => 'textarea',
'priority'	 => 19
)
)
);

$wp_customize->add_setting(
'opis20',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis20',
array(
'label'          => 'Poziom wysoki',
'section'    => 'home',
'settings'   => 'opis20',
'type'		 => 'textarea',
'priority'	 => 20
)
)
);

$wp_customize->add_setting(
'opis21', array());

$wp_customize->add_control(
new Square_Customize_Heading2(
$wp_customize,
'opis21',
array(
'settings'   => 'opis21',
'section'		=> 'home',
'label'      => 'Opis poziomów kompetencji',
'priority'	 => 21
)));

$wp_customize->add_setting(
'opis22',
array(
'default'     => ''
)
);

$wp_customize->add_control(
new WP_Customize_Control(
$wp_customize,
'opis22',
array(
'label'          => 'Tekst na stronę z opisem kompetencji',
'section'    => 'home',
'settings'   => 'opis22',
'type'		 => 'textarea',
'priority'	 => 22
)
)
);

}
add_action( 'customize_register', 'solopine_register_theme_customizer' );
?>